<?php
/**
 * Header Options
 *
 * @package interior_services
 */

// ---------------------------------------- GENERAL OPTIONBS ----------------------------------------------------
// ---------------------------------------- PRELOADER ----------------------------------------------------

$wp_customize->add_section(
	'interior_services_general_options',
	array(
		'panel' => 'interior_services_theme_options',
		'title' => esc_html__( 'General Options', 'interior-services' ),
	)
);

// Add Separator Custom Control
$wp_customize->add_setting( 'interior_services_preloader_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Interior_Services_Separator_Custom_Control( $wp_customize, 'interior_services_preloader_separator', array(
	'label' => __( 'Enable / Disable Site Preloader Section', 'interior-services' ),
	'section' => 'interior_services_general_options',
	'settings' => 'interior_services_preloader_separator',
) ) );


// General Options - Enable Preloader.
$wp_customize->add_setting(
	'interior_services_enable_preloader',
	array(
		'sanitize_callback' => 'interior_services_sanitize_switch',
		'default'           => false,
	)
);

$wp_customize->add_control(
	new Interior_Services_Toggle_Switch_Custom_Control(
		$wp_customize,
		'interior_services_enable_preloader',
		array(
			'label'   => esc_html__( 'Enable Preloader', 'interior-services' ),
			'section' => 'interior_services_general_options',
		)
	)
);

// Preloader Style Setting
$wp_customize->add_setting(
	'interior_services_preloader_style',
	array(
		'default'           => 'style1',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'interior_services_preloader_style',
	array(
		'type'     => 'select',
		'label'    => esc_html__('Select Preloader Styles', 'interior-services'),
		'active_callback' => 'interior_services_is_preloader_style',
		'section'  => 'interior_services_general_options',
		'choices'  => array(
			'style1' => esc_html__('Style 1', 'interior-services'),
			'style2' => esc_html__('Style 2', 'interior-services'),
			'style3' => esc_html__('Style 3', 'interior-services'),
		),
	)
);

// Preloader Background Color Setting
$wp_customize->add_setting(
	'interior_services_preloader_background_color_setting',
	 array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize, 'interior_services_preloader_background_color_setting', 
		array(
			'label' => __('Preloader Background Color', 'interior-services'),
			'active_callback' => 'interior_services_is_preloader_style',
			'section' => 'interior_services_general_options',
		)
	)
);

// Preloader Background Image Setting
$wp_customize->add_setting(
	'interior_services_preloader_background_image_setting', 
	array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	new WP_Customize_Image_Control(
		$wp_customize, 'interior_services_preloader_background_image_setting',
		 array(
			'label' => __('Preloader Background Image', 'interior-services'),
			'active_callback' => 'interior_services_is_preloader_style',
			'section' => 'interior_services_general_options',
		)
	)
);

// ---------------------------------------- Website layout ----------------------------------------------------


// Add Separator Custom Control
$wp_customize->add_setting( 'interior_services_layuout_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Interior_Services_Separator_Custom_Control( $wp_customize, 'interior_services_layuout_separator', array(
	'label' => __( 'Website Layout Setting', 'interior-services' ),
	'section' => 'interior_services_general_options',
	'settings' => 'interior_services_layuout_separator',
)));


$wp_customize->add_setting(
	'interior_services_website_layout',
	array(
		'sanitize_callback' => 'interior_services_sanitize_switch',
		'default'           => false,
	)
);

$wp_customize->add_control(
	new Interior_Services_Toggle_Switch_Custom_Control(
		$wp_customize,
		'interior_services_website_layout',
		array(
			'label'   => esc_html__('Boxed Layout', 'interior-services'),
			'section' => 'interior_services_general_options',
		)
	)
);

$wp_customize->add_setting('interior_services_layout_width_margin', array(
	'default'           => 50,
	'sanitize_callback' => 'interior_services_sanitize_range_value',
));

$wp_customize->add_control(new Interior_Services_Customize_Range_Control($wp_customize, 'interior_services_layout_width_margin', array(
		'label'       => __('Set Width', 'interior-services'),
		'description' => __('Adjust the width around the website layout by moving the slider. Use this setting to customize the appearance of your site to fit your design preferences.', 'interior-services'),
		'section'     => 'interior_services_general_options',
		'settings'    => 'interior_services_layout_width_margin',
		'active_callback' => 'interior_services_is_layout_enabled',
		'input_attrs' => array(
			'min'  => 0,
			'max'  => 130,
			'step' => 1,
		),
)));

// ---------------------------------------- BREADCRUMB ----------------------------------------------------

// Add Separator Custom Control
$wp_customize->add_setting( 'interior_services_breadcrumb_separators', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Interior_Services_Separator_Custom_Control( $wp_customize, 'interior_services_breadcrumb_separators', array(
	'label' => __( 'Enable / Disable Breadcrumb Section', 'interior-services' ),
	'section' => 'interior_services_general_options',
	'settings' => 'interior_services_breadcrumb_separators',
)));

// Breadcrumb - Enable Breadcrumb.
$wp_customize->add_setting(
	'interior_services_enable_breadcrumb',
	array(
		'sanitize_callback' => 'interior_services_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new Interior_Services_Toggle_Switch_Custom_Control(
		$wp_customize,
		'interior_services_enable_breadcrumb',
		array(
			'label'   => esc_html__( 'Enable Breadcrumb', 'interior-services' ),
			'section' => 'interior_services_general_options',
		)
	)
);

// Breadcrumb - Separator.
$wp_customize->add_setting(
	'interior_services_breadcrumb_separator',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default'           => '/',
	)
);

$wp_customize->add_control(
	'interior_services_breadcrumb_separator',
	array(
		'label'           => esc_html__( 'Separator', 'interior-services' ),
		'active_callback' => 'interior_services_is_breadcrumb_enabled',
		'section'         => 'interior_services_general_options',
	)
);

// ----------------------------------------SITE IDENTITY----------------------------------------------------

// Site Logo - Enable Setting.
$wp_customize->add_setting(
	'interior_services_enable_site_logo',
	array(
		'default'           => true, // Default is to display the logo.
		'sanitize_callback' => 'interior_services_sanitize_switch', // Sanitize using a custom switch function.
	)
);

$wp_customize->add_control(
	new Interior_Services_Toggle_Switch_Custom_Control(
		$wp_customize,
		'interior_services_enable_site_logo',
		array(
			'label'    => esc_html__( 'Enable Site Logo', 'interior-services' ),
			'section'  => 'title_tagline', // Section to add this control.
			'settings' => 'interior_services_enable_site_logo',
		)
	)
);

// Site Title - Enable Setting.
$wp_customize->add_setting(
	'interior_services_enable_site_title_setting',
	array(
		'default'           => true,
		'sanitize_callback' => 'interior_services_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Interior_Services_Toggle_Switch_Custom_Control(
		$wp_customize,
		'interior_services_enable_site_title_setting',
		array(
			'label'    => esc_html__( 'Enable Site Title', 'interior-services' ),
			'section'  => 'title_tagline',
			'settings' => 'interior_services_enable_site_title_setting',
		)
	)
);

// Tagline - Enable Setting.
$wp_customize->add_setting(
	'interior_services_enable_tagline_setting',
	array(
		'default'           => false,
		'sanitize_callback' => 'interior_services_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Interior_Services_Toggle_Switch_Custom_Control(
		$wp_customize,
		'interior_services_enable_tagline_setting',
		array(
			'label'    => esc_html__( 'Enable Tagline', 'interior-services' ),
			'section'  => 'title_tagline',
			'settings' => 'interior_services_enable_tagline_setting',
		)
	)
);

$wp_customize->add_setting( 'interior_services_site_title_size', array(
    'default'           => 17, // Default font size in pixels
    'sanitize_callback' => 'absint', // Sanitize the input as a positive integer
) );

// Add control for site title size
$wp_customize->add_control( 'interior_services_site_title_size', array(
    'type'        => 'number',
    'section'     => 'title_tagline', // You can change this section to your preferred section
    'label'       => __( 'Site Title Font Size ', 'interior-services' ),
    'input_attrs' => array(
        'min'  => 10,
        'max'  => 100,
        'step' => 1,
    ),
) );

$wp_customize->add_setting('interior_services_site_logo_width', array(
    'default'           => 100,
    'sanitize_callback' => 'interior_services_sanitize_range_value',
));

$wp_customize->add_control(new Interior_Services_Customize_Range_Control($wp_customize, 'interior_services_site_logo_width', array(
    'label'       => __('Adjust Site Logo Width', 'interior-services'),
    'description' => __('This setting controls the Width of Site Logo', 'interior-services'),
    'section'     => 'title_tagline',
    'settings'    => 'interior_services_site_logo_width',
    'input_attrs' => array(
        'min'  => 0,
        'max'  => 400,
        'step' => 5,
    ),
)));


// ---------------------------------------- ANIMATION ----------------------------------------------------

$wp_customize->add_setting( 'interior_services_animation_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );
$wp_customize->add_control( new Interior_Services_Separator_Custom_Control( $wp_customize, 'interior_services_animation_separator', array(
	'label' => __( 'Enable / Disable Animation', 'interior-services' ),
	'section' => 'interior_services_general_options',
	'settings' => 'interior_services_animation_separator',
) ) );
// Animation Enable / Disable
$wp_customize->add_setting(
	'interior_services_enable_animation',array(
		'default'           => true,
		'sanitize_callback' => 'interior_services_sanitize_switch',
	)
);
$wp_customize->add_control(
	new Interior_Services_Toggle_Switch_Custom_Control($wp_customize,'interior_services_enable_animation',array(
			'label'   => esc_html__( 'Enable Animation', 'interior-services' ),
			'section' => 'interior_services_general_options',
		)
	)
);